%global momorel 1
Summary: a set of plugins for gedit
Name:    gedit-plugins
Version: 2.26.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.gnome.org/
Prereq: GConf2
Prereq: scrollkeeper
Prereq: desktop-file-utils
BuildPrereq: gedit
BuildPrereq: GConf2
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: rarian

BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: gtksourceview2-devel >= 2.6.0
BuildPrereq: gedit-devel >= 2.26.2
BuildPrereq: libglade2-devel >= 2.6.3
BuildPrereq: gnome-vfs2-devel >= 2.24.0
BuildPrereq: pygtk2-devel >= 2.14.1
BuildPrereq: pygtksourceview-devel >= 2.4.0
BuildPrereq: gnome-python2-desktop >= 2.26.0
BuildPrereq: gucharmap-devel >= 2.26.0

%description
gedit-plugins are a set of plugins for gedit.

%prep
%setup -q

%build
%configure --disable-schemas-install \
    --disable-scrollkeeper \
    --enable-python \
    CFLAGS="$CFLAGS -I/usr/include/python2.6"
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas \
    > /dev/null || :
rarian-sk-update

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas \
	> /dev/null || :
fi


%postun
update-desktop-database %{_datadir}/applications
rarian-sk-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas
%{_libdir}/gedit-2/plugins/*
%{_datadir}/gedit-2/plugins/*

%changelog
* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Sun Apr 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Wed Feb 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.3-1m)
- update to 2.25.3

* Thu Jan 29 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.22.3-4m)
- add BuildPrereq:

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.22.3-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.22.3-2m)
- rebuild against python-2.6.1-1m

* Thu Oct  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Mon Jul 28 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.22.2-2m)
- change %%preun script

* Mon Apr 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Thu Apr 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.20.0-2m)
- %%NoSource -> NoSource

* Sun Sep 30 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Fri Mar  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.2-1m)
- initial build
